org.springframework.context

## Interface ApplicationContextInitializer<C extends ConfigurableApplicationContext>

    public interface ApplicationContextInitializer<C extends ConfigurableApplicationContext>

Callback interface for initializing a Spring `ConfigurableApplicationContext` prior to being refreshed.

Typically used within web applications that require some programmatic initialization of the application context. For example, registering property sources or activating profiles against the context's environment. See `ContextLoader` and `FrameworkServlet` support for declaring a "contextInitializerClasses" context-param and init-param, respectively.

`ApplicationContextInitializer` processors are encouraged to detect whether Spring's `Ordered` interface has been implemented or if the @`Order` annotation is present and to sort instances accordingly if so prior to invocation.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `ContextLoader.customizeContext(javax.servlet.ServletContext, org.springframework.web.context.ConfigurableWebApplicationContext)`, `ContextLoader.CONTEXT_INITIALIZER_CLASSES_PARAM`, `FrameworkServlet.setContextInitializerClasses(java.lang.String)`, `FrameworkServlet.applyInitializers(org.springframework.context.ConfigurableApplicationContext)`

### Method Summary

Methods
`void` `initialize(C applicationContext)` Initialize the given application context.

### Method Detail

#### initialize

    void initialize(C applicationContext)

Initialize the given application context.

Parameters:
  `applicationContext` - the application to configure